Перейти к основному содержимому

Задачи

Операция
Метод
Путь
List tasks (paginated)
GET
/tasks
Get task by ID
GET
/tasks/{id}
Get task logs
GET
/tasks/logs/{id}
Create task
POST
/tasks
Agent reports ready for two-phase launch
POST
/tasks/agent-ready/{id}
Agent reports task completion
POST
/tasks/agent-stop/{id}
Flap BGP sessions
POST
/tasks/flap/bgp/{id}
Start scheduled BGP flapping
POST
/tasks/flap/bgp/schedule/start/{id}
Stop scheduled BGP flapping
POST
/tasks/flap/bgp/schedule/stop/{id}
Zap IGMP groups
POST
/tasks/flap/igmp/{id}
Start scheduled IGMP zapping
POST
/tasks/flap/igmp/schedule/start/{id}
Stop scheduled IGMP zapping
POST
/tasks/flap/igmp/schedule/stop/{id}
Flap IS-IS sessions
POST
/tasks/flap/isis/{id}
Start scheduled IS-IS flapping
POST
/tasks/flap/isis/schedule/start/{id}
Stop scheduled IS-IS flapping
POST
/tasks/flap/isis/schedule/stop/{id}
Flap LDP sessions
POST
/tasks/flap/ldp/{id}
Start scheduled LDP flapping
POST
/tasks/flap/ldp/schedule/start/{id}
Stop scheduled LDP flapping
POST
/tasks/flap/ldp/schedule/stop/{id}
Flap OSPF sessions
POST
/tasks/flap/ospf/{id}
Start scheduled OSPF flapping
POST
/tasks/flap/ospf/schedule/start/{id}
Stop scheduled OSPF flapping
POST
/tasks/flap/ospf/schedule/stop/{id}
Start access-plane flapping
POST
/tasks/flap/start/{id}
Stop access-plane flapping
POST
/tasks/flap/stop/{id}
Flap interfaces (ports)
POST
/tasks/interface/flap/{id}
Start scheduled interface flapping
POST
/tasks/interface/flap/schedule/start/{id}
Stop scheduled interface flapping
POST
/tasks/interface/flap/schedule/stop/{id}
Upload task logs
POST
/tasks/logs/{id}
Release warmup load gate
POST
/tasks/start-load/{id}
Start task
POST
/tasks/start/{id}
Stop task
POST
/tasks/stop/{id}
Generate topology (proxied to agent)
POST
/topology/generate
Update task
PATCH
/tasks
Delete many tasks
DELETE
/tasks
Delete task
DELETE
/tasks/{id}